package cn.com.tenlion.systembase.pojo.dtos.comprehensivemsgcenter;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ComprehensiveMsgCenterDTO
 * @Description: 综治视联网信息中心
 * @Author: CodeFactory
 * @Date: 2021-10-12 16:04:09
 * @Version: 3.0
 **/
@ApiModel
public class ComprehensiveMsgCenterDTO {

    @ApiModelProperty(name = "comprehensiveMsgCenterId", value = "主键UUID")
    private String comprehensiveMsgCenterId;
    @ApiModelProperty(name = "centerName", value = "综治中心名称")
    private String centerName;
    @ApiModelProperty(name = "centerPhone", value = "综治中心联系方式")
    private String centerPhone;
    @ApiModelProperty(name = "centerLevel", value = "综治中心层级字典表ID")
    private String centerLevel;
    @ApiModelProperty(name = "centerLevelName", value = "综治中心层级名称")
    private String centerLevelName;
    @ApiModelProperty(name = "centerLevelCode", value = "综治中心层级编码")
    private String centerLevelCode;
    @ApiModelProperty(name = "linkMan", value = "中心负责人姓名")
    private String linkMan;
    @ApiModelProperty(name = "workerCount", value = "专职工作人员数量")
    private Integer workerCount;
    @ApiModelProperty(name = "area", value = "办公用房面积（平方米）")
    private Double area;
    @ApiModelProperty(name = "yearFunds", value = "年度运行经费（元）")
    private Integer yearFunds;
    @ApiModelProperty(name = "cameraCount", value = "联网公共安全视频监控摄像机数量")
    private Integer cameraCount;
    @ApiModelProperty(name = "isGuard", value = "是否24小时有人值守")
    private Integer isGuard;
    @ApiModelProperty(name = "location", value = "所在地地区表ID")
    private String location;
    @ApiModelProperty(name = "locationName", value = "所在地名称")
    private String locationName;
    @ApiModelProperty(name = "locationCode", value = "所在地编码")
    private String locationCode;
    @ApiModelProperty(name = "grid", value = "所属网格")
    private String grid;
    @ApiModelProperty(name = "gridName", value = "所属网格")
    private String gridName;
    @ApiModelProperty(name = "address", value = "所在地祥址")
    private String address;
    @ApiModelProperty(name = "longitude", value = "经度")
    private Double longitude;
    @ApiModelProperty(name = "latitude", value = "纬度")
    private Double latitude;

    public String getComprehensiveMsgCenterId() {
        return comprehensiveMsgCenterId == null ? "" : comprehensiveMsgCenterId.trim();
    }

    public void setComprehensiveMsgCenterId(String comprehensiveMsgCenterId) {
        this.comprehensiveMsgCenterId = comprehensiveMsgCenterId;
    }

    public String getCenterName() {
        return centerName == null ? "" : centerName.trim();
    }

    public void setCenterName(String centerName) {
        this.centerName = centerName;
    }

    public String getCenterPhone() {
        return centerPhone == null ? "" : centerPhone.trim();
    }

    public void setCenterPhone(String centerPhone) {
        this.centerPhone = centerPhone;
    }

    public String getCenterLevel() {
        return centerLevel == null ? "" : centerLevel.trim();
    }

    public void setCenterLevel(String centerLevel) {
        this.centerLevel = centerLevel;
    }

    public String getCenterLevelName() {
        return centerLevelName == null ? "" : centerLevelName.trim();
    }

    public void setCenterLevelName(String centerLevelName) {
        this.centerLevelName = centerLevelName;
    }

    public String getCenterLevelCode() {
        return centerLevelCode == null ? "" : centerLevelCode.trim();
    }

    public void setCenterLevelCode(String centerLevelCode) {
        this.centerLevelCode = centerLevelCode;
    }

    public String getLinkMan() {
        return linkMan == null ? "" : linkMan.trim();
    }

    public void setLinkMan(String linkMan) {
        this.linkMan = linkMan;
    }

    public Integer getWorkerCount() {
        return workerCount == null ? 0 : workerCount;
    }

    public void setWorkerCount(Integer workerCount) {
        this.workerCount = workerCount;
    }

    public Double getArea() {
        return area == null ? 0D : area;
    }

    public void setArea(Double area) {
        this.area = area;
    }

    public Integer getYearFunds() {
        return yearFunds == null ? 0 : yearFunds;
    }

    public void setYearFunds(Integer yearFunds) {
        this.yearFunds = yearFunds;
    }

    public Integer getCameraCount() {
        return cameraCount == null ? 0 : cameraCount;
    }

    public void setCameraCount(Integer cameraCount) {
        this.cameraCount = cameraCount;
    }

    public Integer getIsGuard() {
        return isGuard == null ? 0 : isGuard;
    }

    public void setIsGuard(Integer isGuard) {
        this.isGuard = isGuard;
    }

    public String getLocation() {
        return location == null ? "" : location.trim();
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLocationName() {
        return locationName == null ? "" : locationName.trim();
    }

    public void setLocationName(String locationName) {
        this.locationName = locationName;
    }

    public String getLocationCode() {
        return locationCode == null ? "" : locationCode.trim();
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getGrid() {
        return grid;
    }

    public void setGrid(String grid) {
        this.grid = grid;
    }

    public String getGridName() {
        return gridName;
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }

    public String getAddress() {
        return address == null ? "" : address.trim();
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Double getLongitude() {
        return longitude == null ? 0D : longitude;
    }

    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }

    public Double getLatitude() {
        return latitude == null ? 0D : latitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }
}
